
package com.tmerclub.cloud.api.coupon.constant;

import java.util.Objects;

/**
 * 优惠券投放状态
 * @author yxf
 * @date 2020/11/20
 */
public enum PutOnStatus {
    /**
     * 取消投放
     */
    CANCEL(-1),

    /**
     * 自动投放
     */
    AUTO_LAUNCH(0),

    /**
     * 投放
     */
    PUT_ON(1),

    /**
     * 违规下架
     */
    OFFLINE(2),

    /**
     * 等待审核
     */
    WAIT_AUDIT(3),

    /**
     * 暂不投放
     */
    WAIT_PUT_ON(4),
    ;

    private final Integer value;

    public Integer value() {
        return value;
    }

    PutOnStatus(Integer value) {
        this.value = value;
    }

    public static Boolean offline(Integer value) {
        return Objects.equals(OFFLINE.value, value) || Objects.equals(WAIT_AUDIT.value, value);
    }

}
